Page MenuHomePhabricator

efl-wl: mark stable
Needs RevisionPublic

Authored by zmike on May 6 2019, 10:15 AM.

Details

Summary

this has been in use for a while without issues, seems good

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 11277
zmike created this revision.May 6 2019, 10:15 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

zmike requested review of this revision.May 6 2019, 10:15 AM
segfaultxavi accepted this revision.May 15 2019, 7:31 AM
segfaultxavi added a reviewer: segfaultxavi.
segfaultxavi added a subscriber: segfaultxavi.

I see no problem with the docs, they were obviously written by a native English speaker (or maybe Canadian).

Some methods (like efl_wl_global_add) could use a deeper explanation (at the very least, the parameters could be documented). But I guess nobody knows this code anymore.

cedric accepted this revision.Aug 8 2019, 4:14 PM
This revision is now accepted and ready to land.Aug 8 2019, 4:14 PM
raster requested changes to this revision.Aug 8 2019, 4:50 PM
raster added a subscriber: raster.

ummm... this is using efl_* namespace but it is clearly a legacy api.... this imho is not good. the rest i see no major problems with, but... this should be named something other than efl_wl ...

This revision now requires changes to proceed.Aug 8 2019, 4:50 PM